<?php require_once('connectdb.php'); ?>
<?php

	// If you have set in php.ini file (to extract parameter from url)
	// register_globals = on
	// Then use this file and rename it in getrestauByArea.php5
									
    // ----- NO CACHE -----
	session_cache_limiter('nocache');
  
	header("Expires: Thu, 19 Nov 1981 08:52:00 GMT");
	/* For HTTP/1.1 conforming clients and the rest (MSIE 5) */
	header("Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0");
	/* For HTTP/1.0 conforming clients */
	header("Pragma: no-cache");		
	

	// ----- Functions -----
	function formatAttributeValue($theValue) {
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	function formatTagValue($theValue) {
		if ($theValue == "") {
			return "_NULL_";
		}
	 	$theValue =	htmlspecialchars($theValue, ENT_COMPAT);
		$theValue = str_replace("'", "&apos;", $theValue);
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	// ----- MySQL Connection -----
	mysql_select_db($database_db, $connect_db);
	
	// ----- Check Parameter -----
	// -- x1 -- 
	if (isset($x1)) {
		if (is_numeric ($x1)) {
			$x1 = intval($x1);
		} else {
			$x1 = 0;
		}
		if ($x1 < 0) $x1 = 0;
	} else {
		$x1 = 0;
	}
	// -- y1 -- 
	if (isset($y1)) {
		if (is_numeric ($y1)) {
			$y1 = intval($y1);
		} else {
			$y1 = 0;
		}
		if ($y1 < 0) $y1 = 0;
	} else {
		$y1 = 0;
	}
	
	// -- x2 -- 
	if (isset($x2)) {
		if (is_numeric ($x2)) {
			$x2 = intval($x2);
		} else {
			$x2 = 0;
		}
		if ($x2 < 0) $x2 = 0;
	} else {
		$x2 = 2000;
	}
	// -- y2 -- 
	if (isset($y2)) {
		if (is_numeric ($y2)) {
			$y2 = intval($y2);
		} else {
			$y2 = 0;
		}
		if ($y2 < 0) $y2 = 0;
	} else {
		$y2 = 2000;
	}
	
	// ----- SQL command -----	
	$condition = " map_x >= " . $x1 . " AND map_y >= " . $y1 . " AND map_x <= " . $x2 . " AND map_y <= " . $y2;
	$query = "select restaurant_id, name, address, city, zip, phone, link, image, description, review, map_x, map_y  FROM restaurant WHERE " . $condition . " ORDER BY name";

	//echo "<p> query = " . $query;
	
	$recordset = mysql_query($query, $connect_db) or die(mysql_error());
	
	// create document object
	$dom = new DOMDocument();
	$dom->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><list></list>");

	$rootNode = $dom->documentElement;
	
	while ($row_recordset = mysql_fetch_array($recordset)) {

		// create item node
		$record = new DOMElement("restaurant", "");
		$rootNode->appendChild($record);
		
		$record->setAttribute("id", $row_recordset[0]);
		$record->setAttribute("name", formatAttributeValue($row_recordset[1]));
		$record->setAttribute("address", formatAttributeValue($row_recordset[2]));
		$record->setAttribute("city", formatAttributeValue($row_recordset[3]));
		$record->setAttribute("zip", formatAttributeValue($row_recordset[4]));
		
		$record->setAttribute("phone", formatAttributeValue($row_recordset[5]));
		$record->setAttribute("link", formatAttributeValue($row_recordset[6]));
		$record->setAttribute("image", formatAttributeValue($row_recordset[7]));
		
		$record->setAttribute("description", formatAttributeValue($row_recordset[8]));
		$record->setAttribute("review", formatAttributeValue($row_recordset[9]));
		$record->setAttribute("map_x", formatAttributeValue($row_recordset[10]));
		$record->setAttribute("map_y", formatAttributeValue($row_recordset[11]));
		
	}

	mysql_free_result($recordset);
	mysql_close();
	
	// print the XML 
	print $dom->saveXML();
?>
