<?php require_once('connectdb.php'); ?>
<?php
									
    // ----- NO CACHE -----
	session_cache_limiter('nocache');
  
	header("Expires: Thu, 19 Nov 1981 08:52:00 GMT");
	/* For HTTP/1.1 conforming clients and the rest (MSIE 5) */
	header("Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0");
	/* For HTTP/1.0 conforming clients */
	header("Pragma: no-cache");		
	
	// ----- Functions -----
	function formatAttributeValue($theValue) {
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	function formatTagValue($theValue) {
		if ($theValue == "") {
			return "_NULL_";
		}
	 	$theValue =	htmlspecialchars($theValue, ENT_COMPAT);
		$theValue = str_replace("'", "&apos;", $theValue);
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	function formatTimestampValue($timestamp) {    
		$hour = substr($timestamp, 8, 2);
		$minute = substr($timestamp, 10, 2);
		$second = substr($timestamp, 12, 2);
		$month = substr($timestamp, 4, 2);
		$day = substr($timestamp, 6, 2);
		$year = substr($timestamp, 0, 4); 
		return ($year . "-" . $month . "-" . $day);
	}
  
    
	// ----- MySQL Connection -----
	mysql_select_db($database_db, $connect_db);
	
	// ----- Check Parameter -----
	// -- rid : restaurant id --
	if (isset($rid)) {
		if (is_numeric ($rid)) {
			$rid = intval($rid);
		} else {
			$rid = 0;
		}
		if ($rid < 0) $rid = 0;
	} else {
		$rid = 0;
	}
	
	// ----- SQL command -----	
	$condition = " restaurant_id=" . $rid;
	$query = "select review_id, review_date, reviewer, rating, title, review_text  FROM restaurant_review WHERE " . $condition . " ORDER BY review_date DESC";

	$recordset = mysql_query($query, $connect_db) or die(mysql_error());
	
	// create document object
	$dom = new DOMDocument();
	$dom->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><reviewlist></reviewlist>");
	$rootNode = $dom->documentElement;
	
	while ($row_recordset = mysql_fetch_array($recordset)) {

		// create item node
		$record = new DOMElement("review", "");
		$rootNode->appendChild($record);
		
		$record->setAttribute("id", $row_recordset[0]);
		$record->setAttribute("date", formatTimestampValue($row_recordset[1]));
		$record->setAttribute("reviewer", formatAttributeValue($row_recordset[2]));
		$record->setAttribute("rating", formatAttributeValue($row_recordset[3]));
		$record->setAttribute("title", formatAttributeValue($row_recordset[4]));
		
		$aNode = new DOMElement("review_text", formatTagValue($row_recordset[5]));
		$record->appendChild($aNode);
	}

	mysql_free_result($recordset);
	mysql_close();
	
	// print the XML 
	print $dom->saveXML();
?>
